Package org.apache.tomcat.util.net

## Enum SocketWrapperBase.CompletionHandlerCall

- java.lang.Object
- - java.lang.Enum<SocketWrapperBase.CompletionHandlerCall>
  - - org.apache.tomcat.util.net.SocketWrapperBase.CompletionHandlerCall

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<SocketWrapperBase.CompletionHandlerCall>`

Enclosing class:
  SocketWrapperBase<E>

    public static enum SocketWrapperBase.CompletionHandlerCall
    extends java.lang.Enum<SocketWrapperBase.CompletionHandlerCall>

### Enum Constant Summary

Enum Constants
`CONTINUE` Operation should continue, the completion handler shouldn't be called.
`DONE` The operation is complete, the completion handler should be called.
`NONE` The operation completed but the completion handler shouldn't be called.

### Method Summary

All Methods Static Methods Concrete Methods
`static SocketWrapperBase.CompletionHandlerCall` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SocketWrapperBase.CompletionHandlerCall[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONTINUE

    public static final SocketWrapperBase.CompletionHandlerCall CONTINUE

Operation should continue, the completion handler shouldn't be called.

#### NONE

    public static final SocketWrapperBase.CompletionHandlerCall NONE

The operation completed but the completion handler shouldn't be called.

#### DONE

    public static final SocketWrapperBase.CompletionHandlerCall DONE

The operation is complete, the completion handler should be called.

### Method Detail

#### values

    public static SocketWrapperBase.CompletionHandlerCall[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SocketWrapperBase.CompletionHandlerCall c : SocketWrapperBase.CompletionHandlerCall.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SocketWrapperBase.CompletionHandlerCall valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null